Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20839

Description

That's explained in the subject.

Many users are facing this issue. During my courses I hear them complaining they can't find some algorithms I ask them to use, simply

because thay're not listed correctly. If they switch between Simplified/Advanced Interface (maybe a couple of times) the algorithm node

appears again.

I haven't been able to find a rule to reproduce it, but it happened to me too various times.

History

#1 - 2015-05-12 01:24 PM - Giovanni Manghi

weird, I also give quite a lot of training and I do not remember someone to have ever hit this issue.

#2 - 2015-05-12 01:34 PM - Paolo Cavallini

I confirm the issue. Unable to replicate it reliably though. Only seen with the simplified interface.

#3 - 2015-06-07 04:05 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#4 - 2015-06-08 06:55 AM - Victor Olaya

- Priority changed from Normal to Severe/Regression

i am raising the priority of this to Blocker

The issue seems to be in the SAGA provider, that sometimes is not correctly initialized (After the change i introduced to autodetect the SAGA version), so

SAGA algorithms do not appear. Switching the toolbox mode refreshes the provider, so that's why it fixes the issue

#5 - 2015-06-23 03:05 AM - Victor Olaya

- Status changed from Open to Feedback

Not able to reproduce this in Win, but it fails most of the time (althoug not always)in Mac, raising an IOError if saga is run on startup

I could not find a solid explanation of why that happens, and not a lot of info on the error after googling about it.

2025-04-27 1/2



For now, I have implemented a retry mechanism which seems to do the trick. I also added some improvements for the SAGA initialize process itself.

It is in commit:77ca802

Please, test and close the ticket if this is solved

#6 - 2015-09-29 04:38 AM - Victor Olaya

- Status changed from Feedback to Closed

Haven't received any feedback, but this seems to be fixed and working fine since some time ago, so I am closing this. Reopen if necessary
